com.sun.grid.jgdi.util.shell

## Class QConfCommand

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.AbstractCommand
  - - com.sun.grid.jgdi.util.shell.AnnotatedCommand
    - - com.sun.grid.jgdi.util.shell.QConfCommandGenerated
      - - com.sun.grid.jgdi.util.shell.QConfCommand

-     public class QConfCommand
      extends QConfCommandGenerated

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QConfCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdminHost(OptionInfo oi)`
    `void` | `addCalendar(OptionInfo oi)` Implements qconf -acal option
    `void` | `addCheckpoint(OptionInfo oi)` Implements qconf -ackpt option
    `void` | `addConfiguration(OptionInfo oi)` Implements qconf -aconf option
    `void` | `addExecHost(OptionInfo oi)`
    `void` | `addHostgroup(OptionInfo oi)` Implements qconf -ahgrp option
    `void` | `addManager(OptionInfo oi)`
    `void` | `addOperator(OptionInfo oi)`
    `void` | `addShareTree(OptionInfo oi)`
    `void` | `addShareTreeFromFile(OptionInfo oi)`
    `void` | `addSubmitHost(OptionInfo oi)`
    `void` | `addUserSet(OptionInfo oi)`
    `void` | `cleanQueue(OptionInfo oi)`
    `void` | `clearUsage(OptionInfo oi)`
    `void` | `deleteAdminHost(OptionInfo oi)`
    `void` | `deleteAttribute(OptionInfo oi)`
    `void` | `deleteManager(OptionInfo oi)`
    `void` | `deleteOperator(OptionInfo oi)`
    `void` | `deleteShareTree(OptionInfo oi)`
    `void` | `deleteSubmitHost(OptionInfo oi)`
    `void` | `deleteUserSet(OptionInfo oi)`
    `void` | `deleteUserSetList(OptionInfo oi)`
    `void` | `killEventClient(OptionInfo oi)`
    `void` | `killExecd(OptionInfo oi)`
    `void` | `killExecdWithJobs(OptionInfo oi)`
    `void` | `killMaster(OptionInfo oi)`
    `void` | `killScheduler(OptionInfo oi)`
    `void` | `modifyComplexEntry(OptionInfo oi)`
    `void` | `modifyComplexEntryFromFile(OptionInfo oi)`
    `void` | `modifyExecHost(OptionInfo oi)` Implements qconf -me option
    `void` | `modifyResourceQuotaSet(OptionInfo oi)` Implements qconf -mrqs option
    `void` | `modifyShareTree(OptionInfo oi)`
    `void` | `modifyShareTreeFromFile(OptionInfo oi)`
    `void` | `printUsage(OptionInfo oi)`
    `void` | `run(java.lang.String[] args)` Run the command
    `void` | `showClusterQueue(OptionInfo oi)` Implements qconf -sq option
    `void` | `showComplexEntry(OptionInfo oi)`
    `void` | `showConfiguration(OptionInfo oi)` Implements qconf -sconf option
    `void` | `showDetachedSettings(OptionInfo oi)`
    `void` | `showEventClientList(OptionInfo oi)`
    `void` | `showHostgroupResolved(OptionInfo oi)`
    `void` | `showHostgroupTree(OptionInfo oi)`
    `void` | `showParallelEnvironment(OptionInfo oi)` Implements qconf -sp option
    `void` | `showProcessors(OptionInfo oi)`
    `void` | `showProject(OptionInfo oi)` Implements qconf -sprj option
    `void` | `showResourceQuotaSet(OptionInfo oi)` Implements qconf -srqs option
    `void` | `showSchedulerState(OptionInfo oi)`
    `void` | `showShareTree(OptionInfo oi)`
    `void` | `triggerSchedulerMonitoring(OptionInfo oi)`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.QConfCommandGenerated

      `addClusterQueue, addFromFileCalendar, addFromFileCheckpoint, addFromFileClusterQueue, addFromFileConfiguration, addFromFileExecHost, addFromFileHostgroup, addFromFileParallelEnvironment, addFromFileProject, addFromFileResourceQuotaSet, addFromFileUser, addFromFileUserSet, addParallelEnvironment, addProject, addResourceQuotaSet, addUser, deleteCalendar, deleteCheckpoint, deleteClusterQueue, deleteConfiguration, deleteExecHost, deleteHostgroup, deleteParallelEnvironment, deleteProject, deleteResourceQuotaSet, deleteUser, modifyCalendar, modifyCheckpoint, modifyClusterQueue, modifyConfiguration, modifyFromFileCalendar, modifyFromFileCheckpoint, modifyFromFileClusterQueue, modifyFromFileConfiguration, modifyFromFileExecHost, modifyFromFileHostgroup, modifyFromFileParallelEnvironment, modifyFromFileProject, modifyFromFileResourceQuotaSet, modifyFromFileSchedConf, modifyFromFileUser, modifyFromFileUserSet, modifyHostgroup, modifyParallelEnvironment, modifyProject, modifySchedConf, modifyUser, modifyUserSet, showCalendar, showCheckpoint, showExecHost, showHostgroup, showListAdminHost, showListCalendar, showListCheckpoint, showListClusterQueue, showListConfiguration, showListExecHost, showListHostgroup, showListManager, showListOperator, showListParallelEnvironment, showListProject, showListResourceQuotaSet, showListSubmitHost, showListUser, showListUserSet, showSchedConf, showUser, showUserSet`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AnnotatedCommand

      `getCustomExitCode, getDefaultErrorMessage, getExtraArguments, getOptionDescriptorMap, getOptionInfo, getOriginalExtraArguments, hasExtraArguments, initOptionDescriptorMap, invokeOptions, listOptions, parseAndInvokeOptions, parseOptions, tokenizeArgs`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AbstractCommand

      `getExitCode, getShell, getUsage, init, printAnswers, setExitCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QConfCommand

          public QConfCommand()

  - ### Method Detail

    - #### run

          public void run(java.lang.String[] args)
                   throws java.lang.Exception

      Description copied from class: `AbstractCommand`
      Run the command
      Specified by:
        `run` in class `AbstractCommand`
      Throws:
        `java.lang.Exception`

    - #### printUsage

          public void printUsage(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### addSubmitHost

          public void addSubmitHost(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteSubmitHost

          public void deleteSubmitHost(OptionInfo oi)
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### addAdminHost

          public void addAdminHost(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteAdminHost

          public void deleteAdminHost(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### addShareTree

          public void addShareTree(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### addShareTreeFromFile

          public void addShareTreeFromFile(OptionInfo oi)
                                    throws JGDIException

      Throws:
        `JGDIException`

    - #### modifyShareTree

          public void modifyShareTree(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### modifyShareTreeFromFile

          public void modifyShareTreeFromFile(OptionInfo oi)
                                       throws JGDIException

      Throws:
        `JGDIException`

    - #### showShareTree

          public void showShareTree(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteShareTree

          public void deleteShareTree(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### triggerSchedulerMonitoring

          public void triggerSchedulerMonitoring(OptionInfo oi)
                                          throws JGDIException

      Throws:
        `JGDIException`

    - #### clearUsage

          public void clearUsage(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### cleanQueue

          public void cleanQueue(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### killEventClient

          public void killEventClient(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### killMaster

          public void killMaster(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### killScheduler

          public void killScheduler(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### showDetachedSettings

          public void showDetachedSettings(OptionInfo oi)
                                    throws JGDIException

      Throws:
        `JGDIException`

    - #### showEventClientList

          public void showEventClientList(OptionInfo oi)
                                   throws JGDIException

      Throws:
        `JGDIException`

    - #### showProcessors

          public void showProcessors(OptionInfo oi)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### showSchedulerState

          public void showSchedulerState(OptionInfo oi)
                                  throws JGDIException

      Throws:
        `JGDIException`

    - #### killExecd

          public void killExecd(OptionInfo oi)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### killExecdWithJobs

          public void killExecdWithJobs(OptionInfo oi)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### showHostgroupTree

          public void showHostgroupTree(OptionInfo oi)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### showHostgroupResolved

          public void showHostgroupResolved(OptionInfo oi)
                                     throws JGDIException

      Throws:
        `JGDIException`

    - #### modifyComplexEntry

          public void modifyComplexEntry(OptionInfo oi)
                                  throws JGDIException

      Throws:
        `JGDIException`

    - #### modifyComplexEntryFromFile

          public void modifyComplexEntryFromFile(OptionInfo oi)
                                          throws JGDIException

      Throws:
        `JGDIException`

    - #### showComplexEntry

          public void showComplexEntry(OptionInfo oi)
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### addManager

          public void addManager(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteManager

          public void deleteManager(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### addOperator

          public void addOperator(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteOperator

          public void deleteOperator(OptionInfo oi)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### modifyResourceQuotaSet

          public void modifyResourceQuotaSet(OptionInfo oi)
                                      throws JGDIException

      Implements qconf -mrqs option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showResourceQuotaSet

          public void showResourceQuotaSet(OptionInfo oi)
                                    throws JGDIException

      Implements qconf -srqs option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addUserSet

          public void addUserSet(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteUserSet

          public void deleteUserSet(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteUserSetList

          public void deleteUserSetList(OptionInfo oi)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### addExecHost

          public void addExecHost(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteAttribute

          public void deleteAttribute(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### addCalendar

          public void addCalendar(OptionInfo oi)
                           throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -acal option
      Overrides:
        `addCalendar` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addCheckpoint

          public void addCheckpoint(OptionInfo oi)
                             throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -ackpt option
      Overrides:
        `addCheckpoint` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showClusterQueue

          public void showClusterQueue(OptionInfo oi)
                                throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -sq option
      Overrides:
        `showClusterQueue` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addConfiguration

          public void addConfiguration(OptionInfo oi)
                                throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -aconf option
      Overrides:
        `addConfiguration` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showConfiguration

          public void showConfiguration(OptionInfo oi)
                                 throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -sconf option
      Overrides:
        `showConfiguration` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showParallelEnvironment

          public void showParallelEnvironment(OptionInfo oi)
                                       throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -sp option
      Overrides:
        `showParallelEnvironment` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showProject

          public void showProject(OptionInfo oi)
                           throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -sprj option
      Overrides:
        `showProject` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addHostgroup

          public void addHostgroup(OptionInfo oi)
                            throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -ahgrp option
      Overrides:
        `addHostgroup` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyExecHost

          public void modifyExecHost(OptionInfo oi)
                              throws JGDIException

      Description copied from class: `QConfCommandGenerated`
      Implements qconf -me option
      Overrides:
        `modifyExecHost` in class `QConfCommandGenerated`
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.